Documentation Index
Fetch the complete documentation index at: https://sequence-0fb8d9e6-unreal-quickstart-with-marketplace.mintlify.app/llms.txt
Use this file to discover all available pages before exploring further.
Token balances APIs
In the following examples, we’re going to use theGetTokenBalancesSummary and
GetTokenBalancesDetails methods from Sequence Indexer Gateway.
GetTokenBalancesSummary
- Request: POST /rpc/IndexerGateway/GetTokenBalancesSummary
- Content-Type: application/json
- Body (in JSON):
chainIds([]int - optional) — return results only for the chains that match the given ID.networks([]string - optional) — return results only for the chains that match the given names.filter(object - optional) — query filters.accountAddresses([]string)contractStatus(VERIFIED | UNVERIFIED | ALL)contractWhitelist([]string)contractBlacklist([]string)omitNativeBalances(bool)
omitMetadata(boolean - optional - default: false)
GetTokenBalancesDetails
- Request: POST /rpc/IndexerGateway/GetTokenBalancesDetails
- Content-Type: application/json
- Body (in JSON):
chainIds([]int - optional) — return results only for the chains that match the given ID.networks([]string - optional) — return results only for the chains that match the given names.filter(object - optional) — query filters.accountAddresses([]string)contractStatus(VERIFIED | UNVERIFIED | ALL)contractWhitelist([]string)contractBlacklist([]string)omitNativeBalances(bool)
omitMetadata(boolean - optional - default: false)
Get the summary of balances of verified tokens on specific networks
Example: Get the summary of all verified token balances for a specific account onmainnet and polygon